Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class ModeShapeLexicon

    java.lang.Object
      org.modeshape.graph.ModeShapeLexicon

Direct Known Subclasses:
  ModeShapeLexicon

    @Immutable
    public class ModeShapeLexicon

extends Object

A lexicon of names used within ModeShape.

Nested Class Summary
`static class` | `ModeShapeLexicon.Namespace`

Field Summary
`static Name` | `CLASSNAME`
`static Name` | `CLASSPATH`
`static Name` | `DEFAULT_WORKSPACE_NAME`
`static Name` | `GENERATED`
`static Name` | `HASHED`
`static Name` | `MERGE_PLAN`
`static Name` | `NAMESPACE_URI` Deprecated. Use `URI` instead.
`static Name` | `NAMESPACES`
`static Name` | `PROJECTION`
`static Name` | `PROJECTION_RULES`
`static Name` | `PROJECTIONS`
`static Name` | `READ_ONLY`
`static Name` | `RESOURCE`
`static Name` | `ROOT`
`static Name` | `SHA1`
`static Name` | `SOURCE_NAME`
`static Name` | `TIME_TO_EXPIRE`
`static Name` | `URI`
`static Name` | `UUID`
`static Name` | `WORKSPACE_NAME`
`static Name` | `WORKSPACES`

Constructor Summary
`ModeShapeLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UUID

    public static final Name UUID

### MERGE_PLAN

    public static final Name MERGE_PLAN

### CLASSNAME

    public static final Name CLASSNAME

### CLASSPATH

    public static final Name CLASSPATH

### NAMESPACES

    public static final Name NAMESPACES

### PROJECTION_RULES

    public static final Name PROJECTION_RULES

### READ_ONLY

    public static final Name READ_ONLY

### RESOURCE

    public static final Name RESOURCE

### ROOT

    public static final Name ROOT

### TIME_TO_EXPIRE

    public static final Name TIME_TO_EXPIRE

### URI

    public static final Name URI

### GENERATED

    public static final Name GENERATED

### NAMESPACE_URI

    @Deprecated
    public static final Name NAMESPACE_URI

  Deprecated. Use `URI` instead.

### WORKSPACES

    public static final Name WORKSPACES

### SOURCE_NAME

    public static final Name SOURCE_NAME

### WORKSPACE_NAME

    public static final Name WORKSPACE_NAME

### DEFAULT_WORKSPACE_NAME

    public static final Name DEFAULT_WORKSPACE_NAME

### PROJECTION

    public static final Name PROJECTION

### PROJECTIONS

    public static final Name PROJECTIONS

### HASHED

    public static final Name HASHED

### SHA1

    public static final Name SHA1

Constructor Detail

### ModeShapeLexicon

    public ModeShapeLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.